/**
 * Copyright 2015 Confluent Inc.
 *
 * All rights reserved.
 */
package io.confluent.support.metrics.collectors;


import java.util.HashSet;
import java.util.Set;

import io.confluent.support.metrics.common.Filter;

public class BrokerConfigurationFilter extends Filter {

  private static final Set<String> keysToRemove;

  static {
    keysToRemove = new HashSet<>();
    keysToRemove.add("advertised.host.name");
    keysToRemove.add("advertised.listeners");
    keysToRemove.add("host.name");
    keysToRemove.add("listeners");
    keysToRemove.add("log.dirs");
    keysToRemove.add("zookeeper.connect");
    keysToRemove.add("ssl.keystore.location");
    keysToRemove.add("ssl.keystore.password");
    keysToRemove.add("ssl.key.password");
    keysToRemove.add("ssl.truststore.location");
    keysToRemove.add("ssl.truststore.password");
  }

  public BrokerConfigurationFilter() {
    super(keysToRemove);
  }

}