package io.confluent.support.metrics.collectors;

import io.confluent.support.metrics.SupportConfig;
import org.junit.Test;

import java.util.Properties;

import static org.assertj.core.api.Assertions.assertThat;

/**
 * Created by sumit on 9/30/16.
 */
public class SupportConfigTest {


  @Test
  public void testMergeAndValidatePropsCustomerEndpointMismatch() {
    // Given
    Properties overrideProps = new Properties();
    overrideProps.setProperty(SupportConfig.CONFLUENT_SUPPORT_CUSTOMER_ID_CONFIG, "C1");

    // When
    Properties props = SupportConfig.mergeAndValidateWithDefaultProperties(overrideProps);

    // Then
    assertThat(SupportConfig.getEndpointHTTP(props)).isEqualTo("http://support-metrics.confluent.io/submit");
    assertThat(SupportConfig.getEndpointHTTPS(props)).isEqualTo("https://support-metrics.confluent.io/submit");
  }

  @Test
  public void testMergeAndValidatePropsConfluentTestEndpointMismatch() {
    // Given
    Properties overrideProps = new Properties();
    overrideProps.setProperty(SupportConfig.CONFLUENT_SUPPORT_CUSTOMER_ID_CONFIG, "C0");

    // When
    Properties props = SupportConfig.mergeAndValidateWithDefaultProperties(overrideProps);

    // Then
    assertThat(SupportConfig.getEndpointHTTP(props)).isEqualTo("http://support-metrics.confluent.io/test");
    assertThat(SupportConfig.getEndpointHTTPS(props)).isEqualTo("https://support-metrics.confluent.io/test");
  }
}
